Organizations

Update outreach gross profit config

PUT
/api/organizations/{organizationId}/outreach-gross-profit-config

Sets (or clears) the Contact property used to calculate gross profit for outreach ROI. Body { entityType: "Contact", propertyKey: string }; sending null or an empty object clears the config. Admin-only (own org for Admin; any org for SuperAdmin).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Pass null or {} to clear the config; otherwise must include entityType="Contact" and a non-empty propertyKey.

Pass null or {} to clear the config; otherwise must include entityType="Contact" and a non-empty propertyKey.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/organizations/string/outreach-gross-profit-config" \  -H "Content-Type: application/json" \  -d '{    "entityType": "Contact",    "propertyKey": "loanGrossProfit"  }'
{  "success": true,  "data": {    "entityType": "Contact",    "propertyKey": "loanGrossProfit"  }}